from spack import *

class Nglview(PythonPackage):
    """An IPython/Jupyter widget to interactively view molecular structures and trajectories. 
    Utilizes the embeddable NGL Viewer for rendering."""

    # Homepage and download url
    homepage = "https://github.com/nglviewer/nglview"
    git = 'https://github.com/nglviewer/nglview.git'

    # Set the gitlab accounts of this package maintainers
    maintainers = ['dbeltran']

    # Versions
    version('3.0.4', branch='master')

    # Dependencies
    depends_on('python@3.8:', type=('build', 'run'))
    depends_on('py-setuptools')
    depends_on('py-jupyter-packaging')
    depends_on('py-versioneer')
    depends_on('py-numpy', type=('run'))
    depends_on('py-ipywidgets', type=('run'))